package com.zyc.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.zyc.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zyc.common.annotation.Excel;

/**
 * API接口清单对象 api_interface
 * 
 * @author ruoyi
 * @date 2024-12-26
 */
public class ApiInterface extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    private Integer id;

    /** 接口版本号 */
    @Excel(name = "接口版本号")
    private String version;

    /** 接口名称 */
    @Excel(name = "接口名称")
    private String name;

    /** 接口描述 */
    @Excel(name = "接口描述")
    private String desc;

    /** 接口URL地址 */
    @Excel(name = "接口URL地址")
    private String url;

    /** 请求方法 */
    @Excel(name = "请求方法")
    private String method;

    /** 请求参数 */
    @Excel(name = "请求参数")
    private String requestParams;

    /** 响应结果 */
    @Excel(name = "响应结果")
    private String responseResult;

    /** 创建者 */
    @Excel(name = "创建者")
    private Integer createdBy;

    /** 更新者 */
    @Excel(name = "更新者")
    private Integer updatedBy;

    /** 删除者 */
    @Excel(name = "删除者")
    private Integer deletedBy;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdAt;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedAt;

    /** 删除时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "删除时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date deletedAt;

    /** 是否删除 */
    @Excel(name = "是否删除")
    private Integer deletedFlag;

    public void setId(Integer id) 
    {
        this.id = id;
    }

    public Integer getId() 
    {
        return id;
    }
    public void setVersion(String version) 
    {
        this.version = version;
    }

    public String getVersion() 
    {
        return version;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setDesc(String desc) 
    {
        this.desc = desc;
    }

    public String getDesc() 
    {
        return desc;
    }
    public void setUrl(String url) 
    {
        this.url = url;
    }

    public String getUrl() 
    {
        return url;
    }
    public void setMethod(String method) 
    {
        this.method = method;
    }

    public String getMethod() 
    {
        return method;
    }
    public void setRequestParams(String requestParams) 
    {
        this.requestParams = requestParams;
    }

    public String getRequestParams() 
    {
        return requestParams;
    }
    public void setResponseResult(String responseResult) 
    {
        this.responseResult = responseResult;
    }

    public String getResponseResult() 
    {
        return responseResult;
    }
    public void setCreatedBy(Integer createdBy) 
    {
        this.createdBy = createdBy;
    }

    public Integer getCreatedBy() 
    {
        return createdBy;
    }
    public void setUpdatedBy(Integer updatedBy) 
    {
        this.updatedBy = updatedBy;
    }

    public Integer getUpdatedBy() 
    {
        return updatedBy;
    }
    public void setDeletedBy(Integer deletedBy) 
    {
        this.deletedBy = deletedBy;
    }

    public Integer getDeletedBy() 
    {
        return deletedBy;
    }
    public void setCreatedAt(Date createdAt) 
    {
        this.createdAt = createdAt;
    }

    public Date getCreatedAt() 
    {
        return createdAt;
    }
    public void setUpdatedAt(Date updatedAt) 
    {
        this.updatedAt = updatedAt;
    }

    public Date getUpdatedAt() 
    {
        return updatedAt;
    }
    public void setDeletedAt(Date deletedAt) 
    {
        this.deletedAt = deletedAt;
    }

    public Date getDeletedAt() 
    {
        return deletedAt;
    }
    public void setDeletedFlag(Integer deletedFlag) 
    {
        this.deletedFlag = deletedFlag;
    }

    public Integer getDeletedFlag() 
    {
        return deletedFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("version", getVersion())
            .append("name", getName())
            .append("desc", getDesc())
            .append("url", getUrl())
            .append("method", getMethod())
            .append("requestParams", getRequestParams())
            .append("responseResult", getResponseResult())
            .append("createdBy", getCreatedBy())
            .append("updatedBy", getUpdatedBy())
            .append("deletedBy", getDeletedBy())
            .append("createdAt", getCreatedAt())
            .append("updatedAt", getUpdatedAt())
            .append("deletedAt", getDeletedAt())
            .append("deletedFlag", getDeletedFlag())
            .toString();
    }
}
